@import url("../assets/css/theme.css");

.lp__subscribe-container {
    display: flex;
    gap: 10px;
    flex-direction: column;
}
.lp__subscribe-btn {
    background-color: var(--color-primary);
    padding: 24px 20px;
    border: none;
    outline: none;
    border-radius: var(--radius-sm);
    color: var(--color-text-inverse);
    display: flex;
    flex-direction: column;
    justify-content: center;
}
.lp__subscribe-btn.is-disabled {
    background-color: var(--color-muted);
    color: var(--color-text-primary);
}
.lp__subscribe-btn--animated.is-disabled {
    animation: none;
    -webkit-animation: none;
}

.lp__subscribe-btn:hover:not(.is-disabled) {
    cursor: pointer;
    background-color: var(--color-primary-hover);
}
.lp__subscribe-btn.is-disabled:hover {
    cursor: not-allowed;
}
.lp__subscribe-btn--animated {
    -webkit-animation: pulse 1.5s infinite;
    animation: pulse 1.5s infinite;
}
.lp__subscribe-text-primary {
    font-size: var(--font-size-xl);
    font-weight: 600;
}
.lp__subscribe-text-secondary {
    font-size: var(--font-size-sm);
}
.lp__subscribe-notes {
    font-size: 0.8rem;
    text-align: center;
    color: var(--color-text-secondary);
}